﻿@{
    ViewBag.Title = "Update_pass";
    Layout = "~/Views/Shared/_Layout.cshtml";
    var fail = ViewBag.fail;
    var mess = ViewBag.mess;
    var success = ViewBag.success;
}
@model Cdio447.ViewModels.update_pass
<div class="row justify-content-center">
    <div class="col-12">
        @Html.Partial("_HeaderUserControl")
    </div>
    <div class="col-12 col-lg-8">
        <div class="form-payin my-2 my-lg-4 p-3 ">
            @using (Html.BeginForm("Update_pass", "User", FormMethod.Post))
            {
                @Html.AntiForgeryToken()
                <h3 class="text-center pb-3">Cập nhật thông tin</h3>
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-group">
                    <label>Nhập mật khẩu cũ</label>
                    @Html.TextBoxFor(model => model.old_password, new { @class = "form-control", @type = "password" })
                    @Html.ValidationMessageFor(model => model.old_password, "", new { @class = "text-danger" })
                </div>
                <div class="form-group">
                    <label>Nhập mật khẩu mới</label>
                    @Html.TextBoxFor(model => model.new_password, new { @class = "form-control", @type = "password" })
                    @Html.ValidationMessageFor(model => model.new_password, "", new { @class = "text-danger" })
                </div>
                <div class="form-group">
                    <label>Xác nhận mật khẩu mới</label>
                    @Html.TextBoxFor(model => model.conf_new_password, new { @class = "form-control", @type = "password" })
                    @Html.ValidationMessageFor(model => model.conf_new_password, "", new { @class = "text-danger" })
                </div>
                <div class="form-group mb-0 pt-3 text-center" style="border-top: 1px solid #e74c3c">
                    <button type="submit" class="btn btn_template">Đổi mật khẩu</button>
                </div>
            }
        </div>
    </div>
</div>


@section scripts{
    @if (success != null)
    {
        <script>
            setTimeout(function () { alert("Đổi mật khẩu thành công"); }, 100);
        </script>
    }
    @if(fail != null)
    {

        <script>
            setTimeout(function () { alert("Xảy ra lỗi- vui lòng thử lại!"); }, 100);
        </script>
    }

    @if (mess != null)
    {
        <script>
            setTimeout(function () { alert("Dũ liệu nhập không hợp lệ"); }, 100);
        </script>
    }

}